Package org.drinkless.tdlib

# Class TdApi.InputMessageReplyToStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageReplyTo
org.drinkless.tdlib.TdApi.InputMessageReplyToStory

Enclosing class:
  TdApi

public static class TdApi.InputMessageReplyToStory extends TdApi.InputMessageReplyTo
Describes a story to be replied.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageReplyTo

  `TdApi.InputMessageReplyTo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `storyId`
  The identifier of the story.
  `long`
  `storySenderChatId`
  The identifier of the sender of the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageReplyToStory()`
  Describes a story to be replied.
  `InputMessageReplyToStory(long storySenderChatId, int storyId)`
  Describes a story to be replied.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storySenderChatId

    public long storySenderChatId
    The identifier of the sender of the story. Currently, stories can be replied only in the sender's chat and channel stories can't be replied.

  - ### storyId

    public int storyId
    The identifier of the story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageReplyToStory

    public InputMessageReplyToStory()
    Describes a story to be replied.

  - ### InputMessageReplyToStory

    public InputMessageReplyToStory(long storySenderChatId, int storyId)
    Describes a story to be replied.
    Parameters:
      `storySenderChatId` - The identifier of the sender of the story. Currently, stories can be replied only in the sender's chat and channel stories can't be replied.
      `storyId` - The identifier of the story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageReplyTo`
    Returns:
      this.CONSTRUCTOR